Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class ExtraPropertiesExtension.UnknownPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.InvalidUserDataException
                          org.gradle.api.plugins.ExtraPropertiesExtension.UnknownPropertyException

    public static class ExtraPropertiesExtension.UnknownPropertyException
    extends InvalidUserDataException

The exception that will be thrown when an attempt is made to read a property that is not set.

Constructor Summary
`ExtraPropertiesExtension.UnknownPropertyException(ExtraPropertiesExtension extension, String propertyName)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### ExtraPropertiesExtension.UnknownPropertyException

    public ExtraPropertiesExtension.UnknownPropertyException(ExtraPropertiesExtension extension, String propertyName)

Gradle API 1.1-rc-1